Bug 1270297 - [epel7s390x] python-pyramid-mako SRPM does not build correctly on s390x
Summary: [epel7s390x] python-pyramid-mako SRPM does not build correctly on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pyramid-mako
Version: epel7
Hardware: s390x
OS: Linux
high
medium
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7s390x epel7aarch64
TreeView+ depends on / blocked
 
Reported: 2015-10-09 14:23 UTC by IBM Bug Proxy
Modified: 2015-12-30 18:03 UTC (History)
6 users (show)

Fixed In Version: python-pyramid-mako-1.0a3-6.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-30 18:03:41 UTC
Type: ---


Attachments (Terms of Use)
Patch for rawhide, to be merged into epel7 (1.67 KB, patch)
2015-12-14 04:04 UTC, Yaakov Selkowitz
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 131560 None None None Never

Description IBM Bug Proxy 2015-10-09 14:23:07 UTC

Comment 1 IBM Bug Proxy 2015-10-09 14:23:09 UTC
The EPEL 7 SRPM for python-pyramid-mako 
https://dl.fedoraproject.org/pub/epel/7/SRPMS/p/python-pyramid-mako-1.0a3-4.el7.src.rpm
does not build correctly in Mock on s390x.

The following error message is received within the build log:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.P6z4jP
+ umask 022
+ cd /builddir/build/BUILD
+ cd pyramid_mako-1.0a3
+ /usr/bin/python2 setup.py test
running test
Traceback (most recent call last):
  File "setup.py", line 78, in <module>
    entry_points="""""",
  File "/usr/lib64/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib64/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/site-packages/setuptools/command/test.py", line 128, in run
    self.distribution.fetch_build_eggs(self.distribution.install_requires)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 289, in fetch_build_eggs
    parse_requirements(requires), installer=self.fetch_build_egg
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 630, in resolve
    raise VersionConflict(dist,req) # XXX put more info here
pkg_resources.VersionConflict: (WebOb 1.2.3 (/usr/lib/python2.7/site-packages), Requirement.parse('WebOb>=1.3.1'))

Comment 2 Yaakov Selkowitz 2015-12-14 04:04:08 UTC
Created attachment 1105436 [details]
Patch for rawhide, to be merged into epel7

Successful scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12179725 (epel7)
http://koji.fedoraproject.org/koji/taskinfo?taskID=12179727 (f23)

Comment 3 Fedora Update System 2015-12-14 14:54:36 UTC
python-pyramid-mako-1.0a3-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6bd13e1562

Comment 4 Fedora Update System 2015-12-15 07:20:24 UTC
python-pyramid-mako-1.0a3-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pyramid-mako'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6bd13e1562

Comment 5 Fedora Update System 2015-12-30 18:03:37 UTC
python-pyramid-mako-1.0a3-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.